package kafkaMiddleware

import (
	"context"

	"github.com/segmentio/kafka-go"
)

var KafkaMod *kafka.Writer

func SendMsg(key, value []byte) error {
	if KafkaMod == nil {
		return nil
	}
	err := KafkaMod.WriteMessages(context.Background(), kafka.Message{
		Key:   key,
		Value: value,
	})
	if err != nil {
		//log.Debug("WriteMessages err: %v", err)
	}
	return err
}
